<?php

namespace App\Modules\applications\Enum;

enum ApplicationStatus: string
{
    case pending = 'pending';
    case approved = 'approved';
    case rejected = 'rejected';
    case completed = 'completed';
    case review = 'review';


    function getName(): string
    {
        return match ($this) {
            self::pending => 'В обработке',
            self::approved => 'Бронь',
            self::rejected => 'Отклонена',
            self::completed => 'Завершена',
            self::review => 'На рассмотрении',
        };
    }

}
